commit:     295b76255f47a9904f8d079cef856b61134027e8
Author:     Stephan Hartmann <sultan <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  5 11:45:39 2021 +0000
Commit:     Stephan Hartmann <sultan <AT> gentoo <DOT> org>
CommitDate: Tue Jan  5 11:48:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=295b7625

net-mail/ezmlm-idx: bump to 7.2.2

Closes: https://bugs.gentoo.org/751877
Closes: https://bugs.gentoo.org/727830
Closes: https://bugs.gentoo.org/571890
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Stephan Hartmann <sultan <AT> gentoo.org>

 net-mail/ezmlm-idx/Manifest               |  1 +
 net-mail/ezmlm-idx/ezmlm-idx-7.2.2.ebuild | 57 +++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/net-mail/ezmlm-idx/Manifest b/net-mail/ezmlm-idx/Manifest
index 0f8c7e98d57..503efebe549 100644
--- a/net-mail/ezmlm-idx/Manifest
+++ b/net-mail/ezmlm-idx/Manifest
@@ -1 +1,2 @@
 DIST ezmlm-idx-7.0.0.tar.gz 689019 BLAKE2B 
22c66a4a2fcc6c0c754061ff0d93bde8fd192266112da0516e936278610288dc11d44d1959cd135a90eacb4befa43d62f53b3bedb94e994afc13aed986834bce
 SHA512 
c0fc35aef4a72aefa4cdaee4c1933cc00aab82ee81ad7577793952fbf57106c06e4a5844a2bbf3919ad2985d2062ba1edf8831e6aa66d7e762210e7e147210ef
+DIST ezmlm-idx-7.2.2.tar.gz 742451 BLAKE2B 
fd40b1216d34eba253ef00a53366c8a5f2d19edd9ef20ddea3047a6837263589ac8fc4911820836b49bf4c95b99a1c99d3d2808bc90dd8eb58bc262e6acc74d7
 SHA512 
4fdd30d6dc254fd0353f34675ea8baa91d95860de1fb23ff5517280c75a8d87405bdd7e180e25eb8f5c0b152a35a11a939f4e7364596e83d81053b1e6019245c

diff --git a/net-mail/ezmlm-idx/ezmlm-idx-7.2.2.ebuild 
b/net-mail/ezmlm-idx/ezmlm-idx-7.2.2.ebuild
new file mode 100644
index 00000000000..6d5b5f6fa41
--- /dev/null
+++ b/net-mail/ezmlm-idx/ezmlm-idx-7.2.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmail toolchain-funcs
+
+DESCRIPTION="Simple yet powerful mailing list manager for qmail"
+HOMEPAGE="https://untroubled.org/ezmlm";
+SRC_URI="https://untroubled.org/ezmlm/archive/${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~mips ~ppc ~sparc ~x86"
+IUSE="mysql postgres sqlite"
+
+DEPEND="mysql? ( dev-db/mysql-connector-c:0= )
+       postgres? ( dev-db/postgresql:= )
+       sqlite? ( dev-db/sqlite:3 )"
+RDEPEND="${DEPEND}
+       virtual/qmail"
+REQUIRED_USE="?? ( mysql postgres sqlite )"
+
+src_prepare() {
+       default
+       echo /usr/bin > conf-bin || die
+       echo /usr/$(get_libdir)/ezmlm > conf-lib || die
+       echo /etc/ezmlm > conf-etc || die
+       echo /usr/share/man > conf-man || die
+       echo ${QMAIL_HOME} > conf-qmail || die
+
+       echo $(tc-getCC) ${CFLAGS} -I/usr/include/{my,postgre}sql > conf-cc || 
die
+       echo $(tc-getCC) ${LDFLAGS} -Wl,-E > conf-ld || die
+
+       # fix DESTDIR and skip cat man-pages
+       sed -e "s:\(/installer\) \(\"\`head\):\1 ${D}\2:" \
+               -e "s:\(./install.*\) < MAN$:grep -v \:/cat MAN | \1:" \
+               -e "s:\(\"\`head -n 1 conf-etc\`\"/default\):${D}\1:" \
+               -i Makefile || die
+}
+
+src_compile() {
+       emake it man installer
+
+       if use mysql; then
+               emake mysql
+       elif use postgres; then
+               emake pgsql
+       elif use sqlite; then
+               emake sqlite3
+       fi
+}
+
+src_install() {
+       dodir /usr/bin /usr/$(get_libdir)/ezmlm /etc/ezmlm /usr/share/man
+       default
+}

Reply via email to